# Copyright (c) 2008, 2013, Oracle and/or its affiliates. All rights reserved. 
import helpWebCenterConstants

try:
    addHelpCommandGroup(helpWebCenterConstants.group, helpWebCenterConstants.resourceBundle)
except (WLSTException), why:
    # Ignoring exception on adding help group, as it may already exist.
    pass

try:
    addHelpCommand('deleteConnection',helpWebCenterConstants.group)
    addHelpCommand('webcenterErrorOccurred',helpWebCenterConstants.group)
    addHelpCommand('getWebCenterConnectionTypes',helpWebCenterConstants.group)
    addHelpCommand('createBPELConnection',helpWebCenterConstants.group)
    addHelpCommand('setBPELConnection',helpWebCenterConstants.group)
    addHelpCommand('listBPELConnections',helpWebCenterConstants.group)
    addHelpCommand('addWorklistConnection',helpWebCenterConstants.group)
    addHelpCommand('removeWorklistConnection',helpWebCenterConstants.group)
    addHelpCommand('listWorklistConnections',helpWebCenterConstants.group)
    addHelpCommand('startSyncProfiles',helpWebCenterConstants.group)
    addHelpCommand('stopSyncProfiles',helpWebCenterConstants.group)
    addHelpCommand('isSyncProfilesRunning',helpWebCenterConstants.group)
    addHelpCommand('syncProfile',helpWebCenterConstants.group)
    addHelpCommand('setProfileCacheNumberOfObjects',helpWebCenterConstants.group)
    addHelpCommand('setProfileSyncLDAPReadBatchSize',helpWebCenterConstants.group)
    addHelpCommand('setProfileCacheTimeToLive',helpWebCenterConstants.group)
    addHelpCommand('setProfilePhotoSync',helpWebCenterConstants.group)
    addHelpCommand('printProfileConfig',helpWebCenterConstants.group)
    addHelpCommand('getProfileConfig',helpWebCenterConstants.group)
    addHelpCommand('listProfileConfig',helpWebCenterConstants.group)
    addHelpCommand('setProfileConfig',helpWebCenterConstants.group)
    addHelpCommand('setDiscussionForumServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('removeDiscussionForumServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('listDiscussionForumServiceProperties',helpWebCenterConstants.group)
    addHelpCommand('setAnnouncementServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('removeAnnouncementServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('listAnnouncementServiceProperties',helpWebCenterConstants.group)
    addHelpCommand('setMailServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('removeMailServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('listMailServiceProperties',helpWebCenterConstants.group)
    addHelpCommand('createMailExtAppConnection',helpWebCenterConstants.group)
    addHelpCommand('setIMPServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('removeIMPServiceProperty',helpWebCenterConstants.group)
    addHelpCommand('createPersonalEventConnection',helpWebCenterConstants.group)
    addHelpCommand('setPersonalEventConnection',helpWebCenterConstants.group)
    addHelpCommand('listPersonalEventConnections',helpWebCenterConstants.group)
    addHelpCommand('listIMPServiceProperties',helpWebCenterConstants.group)
    addHelpCommand('createIMPConnection',helpWebCenterConstants.group)
    addHelpCommand('setIMPConnection',helpWebCenterConstants.group)
    addHelpCommand('listIMPConnections',helpWebCenterConstants.group)
    addHelpCommand('listIMPAdapters',helpWebCenterConstants.group)
    addHelpCommand('setIMPConnectionProperty',helpWebCenterConstants.group)
    addHelpCommand('deleteIMPConnectionProperty',helpWebCenterConstants.group)
    addHelpCommand('listDefaultIMPConnection',helpWebCenterConstants.group)
    addHelpCommand('setDefaultIMPConnection',helpWebCenterConstants.group)
    addHelpCommand('createIMPExtAppConnection',helpWebCenterConstants.group)
    addHelpCommand('createDiscussionForumConnection',helpWebCenterConstants.group)
    addHelpCommand('setDiscussionForumConnection',helpWebCenterConstants.group)
    addHelpCommand('listDiscussionForumConnections',helpWebCenterConstants.group)
    addHelpCommand('listDefaultDiscussionForumConnection',helpWebCenterConstants.group)
    addHelpCommand('setDiscussionForumConnectionProperty',helpWebCenterConstants.group)
    addHelpCommand('deleteDiscussionForumConnectionProperty',helpWebCenterConstants.group)
    addHelpCommand('setDefaultDiscussionForumConnection',helpWebCenterConstants.group)
    addHelpCommand('syncDiscussionServerPermissions',helpWebCenterConstants.group)
    addHelpCommand('addDiscussionsServerAdmin',helpWebCenterConstants.group)
    addHelpCommand('addDiscussionsCategoryAdmin',helpWebCenterConstants.group)
    addHelpCommand('setDiscussionsServerProperty',helpWebCenterConstants.group)
    addHelpCommand('getDiscussionsServerProperty',helpWebCenterConstants.group)
    addHelpCommand('removeDiscussionsServerProperty',helpWebCenterConstants.group)
    addHelpCommand('createMailConnection',helpWebCenterConstants.group)
    addHelpCommand('setMailConnection',helpWebCenterConstants.group)
    addHelpCommand('listMailConnections',helpWebCenterConstants.group)
    addHelpCommand('listDefaultMailConnection',helpWebCenterConstants.group)
    addHelpCommand('setMailConnectionProperty',helpWebCenterConstants.group)
    addHelpCommand('deleteMailConnectionProperty',helpWebCenterConstants.group)
    addHelpCommand('setDefaultMailConnection',helpWebCenterConstants.group)
    addHelpCommand('createSESConnection',helpWebCenterConstants.group)
    addHelpCommand('setSESVersion',helpWebCenterConstants.group)
    addHelpCommand('listSESVersion',helpWebCenterConstants.group)
    addHelpCommand('createFederationTrustedEntity',helpWebCenterConstants.group)
    addHelpCommand('createDefaultSourceGroup',helpWebCenterConstants.group)
    addHelpCommand('setSESConnection',helpWebCenterConstants.group)
    addHelpCommand('listSESConnections',helpWebCenterConstants.group)
    addHelpCommand('setSearchConfig',helpWebCenterConstants.group)
    addHelpCommand('setSearchSESConfig',helpWebCenterConstants.group)
    addHelpCommand('listSearchConfig',helpWebCenterConstants.group)
    addHelpCommand('listSearchSESConfig',helpWebCenterConstants.group)
    addHelpCommand('createSpacesCrawler', helpWebCenterConstants.group)
    addHelpCommand('createDocumentsCrawler', helpWebCenterConstants.group)
    addHelpCommand('createDiscussionsCrawler', helpWebCenterConstants.group)
    addHelpCommand('listSpacesCrawler', helpWebCenterConstants.group)
    addHelpCommand('listDocumentsCrawler', helpWebCenterConstants.group)
    addHelpCommand('listDiscussionsCrawler', helpWebCenterConstants.group)
    addHelpCommand('startSpacesCrawler', helpWebCenterConstants.group)
    addHelpCommand('startDocumentsCrawler', helpWebCenterConstants.group)
    addHelpCommand('startDiscussionsCrawler', helpWebCenterConstants.group)
    addHelpCommand('stopSpacesCrawler', helpWebCenterConstants.group)
    addHelpCommand('stopDocumentsCrawler', helpWebCenterConstants.group)
    addHelpCommand('stopDiscussionsCrawler', helpWebCenterConstants.group)
    addHelpCommand('deleteSpacesCrawler', helpWebCenterConstants.group)
    addHelpCommand('deleteDocumentsCrawler', helpWebCenterConstants.group)
    addHelpCommand('deleteDiscussionsCrawler', helpWebCenterConstants.group)
    addHelpCommand('createExtAppConnection',helpWebCenterConstants.group)
    addHelpCommand('setExtAppConnection',helpWebCenterConstants.group)
    addHelpCommand('listExtAppConnections',helpWebCenterConstants.group)
    addHelpCommand('addExtAppField',helpWebCenterConstants.group)
    addHelpCommand('setExtAppField',helpWebCenterConstants.group)
    addHelpCommand('removeExtAppField',helpWebCenterConstants.group)
    addHelpCommand('addExtAppCredential',helpWebCenterConstants.group)
    addHelpCommand('setExtAppCredential',helpWebCenterConstants.group)
    addHelpCommand('removeExtAppCredential',helpWebCenterConstants.group)
    addHelpCommand('listDocumentsSpacesProperties',helpWebCenterConstants.group)
    addHelpCommand('setDocumentsSpacesProperties',helpWebCenterConstants.group)
    addHelpCommand('deleteDocumentsSpacesProperties',helpWebCenterConstants.group)
    addHelpCommand('createJCRFileSystemConnection',helpWebCenterConstants.group)
    addHelpCommand('setJCRFileSystemConnection',helpWebCenterConstants.group)
    addHelpCommand('listJCRFileSystemConnections',helpWebCenterConstants.group)
    addHelpCommand('createJCRContentServerConnection',helpWebCenterConstants.group)
    addHelpCommand('setJCRContentServerConnection',helpWebCenterConstants.group)
    addHelpCommand('listJCRContentServerConnections',helpWebCenterConstants.group)
    addHelpCommand('createJCRPortalConnection',helpWebCenterConstants.group)
    addHelpCommand('setJCRPortalConnection',helpWebCenterConstants.group)
    addHelpCommand('listJCRPortalConnections',helpWebCenterConstants.group)
    addHelpCommand('exportWebCenterApplication',helpWebCenterConstants.group)
    addHelpCommand('importWebCenterApplication',helpWebCenterConstants.group)
    addHelpCommand('exportPortletClientMetadata',helpWebCenterConstants.group)
    addHelpCommand('importPortletClientMetadata',helpWebCenterConstants.group)
    addHelpCommand('upgradeWebCenterDomain',helpWebCenterConstants.group)
    addHelpCommand('upgradeWebCenterPermissions',helpWebCenterConstants.group)
    addHelpCommand('upgradeWebCenterApplication',helpWebCenterConstants.group)
    addHelpCommand('exportWebCenterPortals',helpWebCenterConstants.group)
    addHelpCommand('exportWebCenterPortalTemplates',helpWebCenterConstants.group)
    addHelpCommand('importWebCenterPortals',helpWebCenterConstants.group)
    addHelpCommand('deployWebCenterPortal',helpWebCenterConstants.group)
    addHelpCommand('propagateWebCenterPortal',helpWebCenterConstants.group)
    addHelpCommand('exportWebCenterPortalConnections',helpWebCenterConstants.group)
    addHelpCommand('importWebCenterPortalConnections',helpWebCenterConstants.group)
    addHelpCommand('listWebCenterPortalArchive',helpWebCenterConstants.group)    
    addHelpCommand('exportGroupSpaces',helpWebCenterConstants.group)
    addHelpCommand('exportGroupSpaceTemplates',helpWebCenterConstants.group)
    addHelpCommand('exportWebCenterResource',helpWebCenterConstants.group)
    addHelpCommand('importGroupSpaces',helpWebCenterConstants.group)
    addHelpCommand('importWebCenterResource',helpWebCenterConstants.group)
    addHelpCommand('registerWSRPProducer',helpWebCenterConstants.group)
    addHelpCommand('setWSRPProducer',helpWebCenterConstants.group)
    addHelpCommand('deregisterWSRPProducer',helpWebCenterConstants.group)
    addHelpCommand('listWSRPProducers',helpWebCenterConstants.group)
    addHelpCommand('listWSRPProducerRegistrationProperties',helpWebCenterConstants.group)
    addHelpCommand('listWSRPProducerUserCategories',helpWebCenterConstants.group)
    addHelpCommand('mapWSRPProducerUserCategory',helpWebCenterConstants.group)
    addHelpCommand('registerPDKJavaProducer',helpWebCenterConstants.group)
    addHelpCommand('listPDKJavaProducers',helpWebCenterConstants.group)
    addHelpCommand('setPDKJavaProducer',helpWebCenterConstants.group)
    addHelpCommand('deregisterPDKJavaProducer',helpWebCenterConstants.group)
    addHelpCommand('refreshProducer',helpWebCenterConstants.group)
    addHelpCommand('registerOOTBProducers',helpWebCenterConstants.group)
    addHelpCommand('deregisterOOTBProducers',helpWebCenterConstants.group)
    addHelpCommand('registerSampleProducers',helpWebCenterConstants.group)
    addHelpCommand('deregisterSampleProducers',helpWebCenterConstants.group)
    addHelpCommand('listPortletClientConfig',helpWebCenterConstants.group)
    addHelpCommand('getPortletClientConfig',helpWebCenterConstants.group)
    addHelpCommand('setPortletClientConfig',helpWebCenterConstants.group)
    addHelpCommand('setSpacesWorkflowConnectionName',helpWebCenterConstants.group)
    addHelpCommand('getSpacesWorkflowConnectionName',helpWebCenterConstants.group)
    addHelpCommand('getRssProxyConfig',helpWebCenterConstants.group)
    addHelpCommand('setRssProxyConfig',helpWebCenterConstants.group)
    addHelpCommand('unsetRssProxyConfig',helpWebCenterConstants.group)
    addHelpCommand('getWebCenterProxyConfig',helpWebCenterConstants.group)
    addHelpCommand('setWebCenterProxyConfig',helpWebCenterConstants.group)
    addHelpCommand('unsetWebCenterProxyConfig',helpWebCenterConstants.group)
    addHelpCommand('setWebCenterIdStoreSearchConfig',helpWebCenterConstants.group)
    addHelpCommand('listWebCenterIdStoreSearchConfig',helpWebCenterConstants.group)
    addHelpCommand('registerPageletProducer',helpWebCenterConstants.group)
    addHelpCommand('setPageletProducer',helpWebCenterConstants.group)
    addHelpCommand('listPageletProducers',helpWebCenterConstants.group)
    addHelpCommand('deregisterPageletProducer',helpWebCenterConstants.group)
    addHelpCommand('setWebCenterGeneralSettingsProvider',helpWebCenterConstants.group)
    addHelpCommand('getWebCenterGeneralSettingsProvider',helpWebCenterConstants.group)
    addHelpCommand('removeWebCenterGeneralSettingsProvider',helpWebCenterConstants.group)
    addHelpCommand('setSpacesCrawlProperties',helpWebCenterConstants.group)
    addHelpCommand('getSpacesCrawlProperties',helpWebCenterConstants.group)
    addHelpCommand('refreshGroupSpaceCache',helpWebCenterConstants.group)
    addHelpCommand('setSpaceState',helpWebCenterConstants.group)
    addHelpCommand('refreshSpaceTemplateCache',helpWebCenterConstants.group)
    addHelpCommand('importAGMetadata', helpWebCenterConstants.group)
    addHelpCommand('exportAGMetadata', helpWebCenterConstants.group)
    addHelpCommand('exportAGProviderConfiguration', helpWebCenterConstants.group)
    addHelpCommand('deleteAllAGMetadata', helpWebCenterConstants.group)
    addHelpCommand('deleteAGAction', helpWebCenterConstants.group)
    addHelpCommand('deleteAGNodeClass', helpWebCenterConstants.group)
    addHelpCommand('deleteAGSimilarityCalculation', helpWebCenterConstants.group)
    addHelpCommand('deleteAGRankCalculation', helpWebCenterConstants.group)
    addHelpCommand('deleteAGProviderAssignment', helpWebCenterConstants.group)
    addHelpCommand('deleteAGQRPPRegistration', helpWebCenterConstants.group)
    addHelpCommand('deleteAGProviderConfiguration', helpWebCenterConstants.group)
    addHelpCommand('renameAGAction', helpWebCenterConstants.group)
    addHelpCommand('renameAGNodeClass', helpWebCenterConstants.group)
    addHelpCommand('getAGProperty', helpWebCenterConstants.group)
    addHelpCommand('setAGProperty', helpWebCenterConstants.group)
    addHelpCommand('startAGEnginesNow', helpWebCenterConstants.group)
    addHelpCommand('setAGEnginesSchedule', helpWebCenterConstants.group)
    addHelpCommand('stopAGEnginesNow', helpWebCenterConstants.group)
    addHelpCommand('deleteAGEnginesSchedule', helpWebCenterConstants.group)
    addHelpCommand('getAGEnginesStatus', helpWebCenterConstants.group)
    addHelpCommand('getAGEnginesSchedule', helpWebCenterConstants.group)
    addHelpCommand('setAnalyticsCollectorConfig', helpWebCenterConstants.group)
    addHelpCommand('listAnalyticsCollectorConfig', helpWebCenterConstants.group)
    addHelpCommand('registerAnalyticsEventTypes', helpWebCenterConstants.group)
    addHelpCommand('listAnalyticsEventTypes', helpWebCenterConstants.group)
    addHelpCommand('archiveASByDate', helpWebCenterConstants.group)
    addHelpCommand('archiveASByDeletedObjects', helpWebCenterConstants.group)
    addHelpCommand('archiveASByClosedSpaces', helpWebCenterConstants.group)
    addHelpCommand('archiveASByInactiveSpaces', helpWebCenterConstants.group)
    addHelpCommand('archiveASByUser', helpWebCenterConstants.group)
    addHelpCommand('archiveASAllUsers', helpWebCenterConstants.group)
    addHelpCommand('archiveASBySpace', helpWebCenterConstants.group)
    addHelpCommand('archiveASAllSpaces', helpWebCenterConstants.group)
    addHelpCommand('showASStatistics', helpWebCenterConstants.group)
    addHelpCommand('archiveASByDeletedActors', helpWebCenterConstants.group)
    addHelpCommand('restoreASByDate', helpWebCenterConstants.group)
    addHelpCommand('truncateASArchive', helpWebCenterConstants.group)
    addHelpCommand('setNotificationsConfig', helpWebCenterConstants.group)
    addHelpCommand('getNotificationsConfig', helpWebCenterConstants.group)
    addHelpCommand('listDefaultAnalyticsCollectorConnection', helpWebCenterConstants.group)
    addHelpCommand('setDefaultAnalyticsCollectorConnection', helpWebCenterConstants.group)
    addHelpCommand('createAnalyticsCollectorConnection', helpWebCenterConstants.group)
    addHelpCommand('setAnalyticsCollectorConnection', helpWebCenterConstants.group)
    addHelpCommand('listAnalyticsCollectorConnections', helpWebCenterConstants.group)
    addHelpCommand('getWebCenterServiceFrameworkConfig', helpWebCenterConstants.group)
    addHelpCommand('setWebCenterServiceFrameworkConfig', helpWebCenterConstants.group)
    addHelpCommand('cloneWebCenterManagedServer', helpWebCenterConstants.group)
    addHelpCommand('showProducerImportFailures', helpWebCenterConstants.group)
    addHelpCommand('retryAllFailedProducerImports', helpWebCenterConstants.group)
    addHelpCommand('listWCPSCMISConnections', helpWebCenterConstants.group)
    addHelpCommand('listWCPSActivityGraphConnections', helpWebCenterConstants.group)
    addHelpCommand('listWCPSPeopleConnections', helpWebCenterConstants.group)
    addHelpCommand('listWCPSCustomConnections', helpWebCenterConstants.group)
    addHelpCommand('createWCPSCMISConnection', helpWebCenterConstants.group)
    addHelpCommand('createWCPSActivityGraphConnection', helpWebCenterConstants.group)
    addHelpCommand('createWCPSPeopleConnection', helpWebCenterConstants.group)
    addHelpCommand('createWCPSCustomConnection', helpWebCenterConstants.group)
    addHelpCommand('deleteWCPSCMISConnection', helpWebCenterConstants.group)
    addHelpCommand('deleteWCPSActivityGraphConnection', helpWebCenterConstants.group)
    addHelpCommand('deleteWCPSPeopleConnection', helpWebCenterConstants.group)
    addHelpCommand('deleteWCPSCustomConnection', helpWebCenterConstants.group)
    addHelpCommand('setWCPSConnectionProperty', helpWebCenterConstants.group)
    addHelpCommand('synchronizeUserInformation', helpWebCenterConstants.group)
    #addHelpCommand('renameUsersInWebCenterApplication', helpWebCenterConstants.group)
except (WLSTException), why:
    print 'Warning: unable to add help for WebCenter commands - ' + str(why)
